Package gov.nasa.gsfc.sscweb.schema

# Class GraphRequest

java.lang.Object
gov.nasa.gsfc.sscweb.schema.Request
gov.nasa.gsfc.sscweb.schema.LocationRequest
gov.nasa.gsfc.sscweb.schema.GraphRequest

public class GraphRequest extends LocationRequest
<p>Java class for anonymous complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType> <complexContent> <extension base="{http://sscweb.gsfc.nasa.gov/schema}LocationRequest"> <sequence> <element name="GraphOptions" type="{http://sscweb.gsfc.nasa.gov/schema}GraphOptions"/> </sequence> </extension> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected GraphOptions`
  `graphOptions`
  Graph options.

  ### Fields inherited from class gov.nasa.gsfc.sscweb.schema.LocationRequest

  `satellites`

  ### Fields inherited from class gov.nasa.gsfc.sscweb.schema.Request

  `bFieldModel, description, timeInterval`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GraphRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GraphOptions`
  `getGraphOptions()`
  Graph options.
  `void`
  `setGraphOptions(GraphOptions value)`
  Sets the value of the graphOptions property.

  ### Methods inherited from class gov.nasa.gsfc.sscweb.schema.LocationRequest

  `getSatellites`

  ### Methods inherited from class gov.nasa.gsfc.sscweb.schema.Request

  `getBFieldModel, getDescription, getTimeInterval, setBFieldModel, setDescription, setTimeInterval`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### graphOptions

    protected GraphOptions graphOptions
    Graph options.

- ## Constructor Details

  - ### GraphRequest

    public GraphRequest()

- ## Method Details

  - ### getGraphOptions

    public GraphOptions getGraphOptions()
    Graph options.
    Returns:
      possible object is `GraphOptions`

  - ### setGraphOptions

    public void setGraphOptions(GraphOptions value)
    Sets the value of the graphOptions property.
    Parameters:
      `value` - allowed object is `GraphOptions`
    See Also:
      - `getGraphOptions()`